- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 01e26a8b-c65f-4d5b-9345-bd5c135bb16d
    creation_time: 2023-02-17T13:35:23.334157Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/n.c40.c
      input_file_hashes:
        c/loops/n.c40.c: ec147baa41deaa706a3db1972af791532e50c36ff3c23d3d92f8d6bea9417e65
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/n.c40.c
    file_hash: ec147baa41deaa706a3db1972af791532e50c36ff3c23d3d92f8d6bea9417e65
    line: 14
    column: 0
    function: main
  loop_invariant:
    string: k < 0 || k >= i || y[k] != 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 038c2852-e8ca-4049-ac6a-ebf6d821c15b
    creation_time: 2023-02-17T13:35:23.334539Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/n.c40.c
      input_file_hashes:
        c/loops/n.c40.c: ec147baa41deaa706a3db1972af791532e50c36ff3c23d3d92f8d6bea9417e65
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/n.c40.c
    file_hash: ec147baa41deaa706a3db1972af791532e50c36ff3c23d3d92f8d6bea9417e65
    line: 20
    column: 0
    function: main
  location_invariant:
    string: k < 0 || k >= i || y[k] != 0
    type: assertion
    format: C

